/*Allgemein*/
*{
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: #333333;
}



/* Basis fuer html und body */
html, body {
  left: 0;
  right: 0;
  padding: 0;
    font-family: "Urbanist", serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    color: inherit;
    scroll-behavior: smooth;
  scroll-padding-top: 350px; /* Falls nav 100px hoch ist */
  min-height: 100vh; /* Stellt sicher, dass die Seite die volle Hohe hat */
display: flex;
flex-direction: column;
max-width: 100%;
background: linear-gradient(to bottom right, #eaf1f8, #ffffff);
}


body{
  overflow-x:hidden;
}





/* Gesamtbreite des Scrollbalkens - fÃƒÂ¼r CHROME */
.main-content .right::-webkit-scrollbar {
  width: 20px; /* Breite des Scrollbalkens */
}

/* Hintergrund des Scrollbalken-Tracks */
.main-content .right::-webkit-scrollbar-track {
  background-color: red; /* Hintergrundfarbe des Scrollbalken-Tracks */
}

/* Der bewegliche Teil des Scrollbalkens (der Thumb) */
.main-content .right::-webkit-scrollbar-thumb {
  background-color: orange !important; /* Farbe des Scrollbalken-Thumbs */
  border-radius: 20px; /* Rundung der Ecken des Scrollbalken-Thumbs */
}

/* Hover-Effekt fuer den Scrollbalken-Thumb */
.main-content .right::-webkit-scrollbar-thumb:hover {
  background-color: #45a049; /* Farbe des Scrollbalken-Thumbs, wenn der Benutzer mit der Maus darÃƒÂ¼ber fÃƒÂ¤hrt */
}


/* FIREFOX Scrollbar Styling */
.main-content .right {
  scrollbar-width: thin; /* DÃƒÂ¼nner Scrollbalken */
  scrollbar-color: green !important; /* Daumen grÃƒÂ¼n, Track rot */
}

/* Entferne unnoetige Scrollbar-Stile */
*::-webkit-scrollbar {
  width: 0px;
  overflow-x: hidden;

}

*::-webkit-scrollbar-track {
  background: none;
  border:none;
  overflow-x: hidden;

}

*::-webkit-scrollbar-thumb {
  background: none;
  border:none;
  overflow-x: hidden;
}



/**::-webkit-scrollbar {
  width: 0px;
  overflow-x: auto;
border: yellow;

}

*::-webkit-scrollbar-track {
  background: none;
  border:yellow;
  overflow-x: hidden;
}

*::-webkit-scrollbar-thumb {
  background: none;
  border:yellow;
  overflow-x: hidden;
}*/



/* Icon Hand*/
.far{
  font-size:30px;
  color: inherit;
  margin-top: 10px;
  position: relative;
  float: right;
  bottom: 0;
  padding: 20px;
  cursor: pointer;
  display: flex;
  cursor: pointer;
}

.far:hover {
  font-size:30px;
  border: 5px inset black;
  border-radius: 15px;
  margin-top: 10px;
  padding: 20px;
  position: relative;
}

.far:before{
  content: '\f0a6';
}


.far:before{
  content: '\f0a6';
}

















/* fuer alte Browser-Versionen
header, footer, main {
  display: block;
}*/


.trennlinie_1{
  border-top: 5px outset rgb(124, 34, 109);
  padding: 5px 10px;
  margin: 50px 80px;
}


.trennlinie_2{
  border-top: 5px outset rgb(218, 168, 83);
  padding: 3px 0;
  margin: 30px 80px;
}

.trennlinie_3{
  border-top: 5px outset #a3456b;
  padding: 3px 0;
  margin: 10px 80px;
}


.trennlinie_4{
  border-top: 6px outset rgb(68, 8, 45);
  padding: 3px 10px;
  margin: 30px 80px;
  align-items: center;
}

.trennlinie_5{
  border-top: 6px outset #522e30;
  padding: 3px 10px;
  margin: 50px 80px;
}





/* BEGIN NAVBAR */
.navbar {
  height: 350px;
  padding: 90px 10px;
  transition: all 0.4s ease;
  position: fixed;
  overflow: hidden;
  z-index: 99;
  align-items: center;
  top: 0;
  left: 0;
  transition: 0.4s;
  display: flex;
  justify-content: space-between;
  flex-wrap: nowrap;
  width: 1900px;
  color: #1e3a8a;
  }

      .navbar.visible{
        visibility: visible;
        opacity: 1;
      }

/* Logo in der Navbar */
#head_logo {
  display: flex;
  align-items: center;
  margin-left: 40px;
}


  #head_logo img {
    width: 200px;
    height: 200px;
    border: 3px inset silver;
    border-radius: 20px;
  }

  #head_logo img:hover{
    border: 6px inset silver;
  }



  /* Menue in der Navbar */
  .menu {
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding: 0;
    right: 0 ;
    float: right;
    flex: 1;
    z-index: 99;
  }

  .menu a {
    font-size: 1.8rem;
    padding: 15px 20px;
    text-decoration: none;
    color:  #333333; /* Grau */
    display: flex;
    align-items: center;
    min-width:250px;
    justify-content: center;
    margin: 0 25px;
    font-weight: normal;
  }


  .menu a:hover{
    color:#868e96; /* grey */
    font-weight: bold;
  }




/* Einstellung "Hobbies"*/
.menu_active{
  color: white !important;
  font-weight: bold !important;
  background-color: #81a1c1;
  width: 180px;
  padding: 15px 0;
  cursor: none;
  border-radius: 20px;
}

  .menu_active:hover{
    text-decoration: none;
    cursor: none;
  }


  .menu-icon {
    display: none; /* Falls nicht für Mobile gebraucht */
  }

  .menu.show {
    display: none;
  }




.menu a:nth-of-type(2):hover {
  font-weight: bold;
  text-decoration: none;
}


/* menubutton "Weigel IT-Consulting" */
.menu a:nth-of-type(4){
  align-items: center;
  min-width: 400px;
}

.menu a:nth-of-type(4):hover{
  font-weight: bold;
  text-decoration: none;
}


/* menubutton "Blog"*/
.menu a:nth-of-type(5){
  align-items: center;
}

.menu a:nth-of-type(5):hover{
  font-weight: bold;
  text-decoration: none;
}


.menu a:nth-of-type(6):hover{
  font-weight: bold;
  text-decoration: none;

}





/* Geschrumpfte Navbar */
.navbar.small {
  height: 100px; /* Kleinere Navbar */
  padding: 5px;
  background-color: #eaf1f8 !important;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: height 0.3s ease, padding 0.3s ease;
  display: flex;
  align-items: center;
  width: 100%;
}


/*.navbar.small .menu{
font-size: 1.3rem;
color: white;
float: right;
display: flex;
padding: 15px 50px;
}*/



.navbar.small .menu a{
  font-size: 1.3rem;
color: white;
padding: 5px 0;
margin-left: -5%;
}

.navbar.small .menu a:hover{
  color: #868e96; /* grey */
}


/* menubutton "Weigel IT-Consulting" */
.navbar.small .menu a:nth-of-type(4){
  align-items: center;
  min-width: 250px !important;
}

.navbar.small .menu a:nth-of-type(4):hover{
  font-weight: bold;
  text-decoration: none;
}


.navbar.small .menu .menu_active{
  color:  RGB(129, 114, 169);     /* lila */
}

/* Geschrumpftes Logo */
.navbar.small #head_logo img {
  width: 60px;
  height: 60px;
  padding-top:-200px;
}





/* Hamburger Menu Styles */
.menu-button-container {
  display: none;
  height: 40px;
  width: 40px;
  cursor: pointer;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.menu-button {
  width: 30px;
  height: 4px;
  background-color: white;
  border-radius: 2px;
  position: relative;
  transition: transform 0.3s ease;
}
/* Abstand zwischen den Strichen erhoehen */
.menu-button::before {
  top: -8px;
}

.menu-button::after {
  top: 8px;
}

/* Hamburger Button Animation */
#menu-toggle {
  display: none;
}

#menu-toggle:checked + .menu-button-container .menu-button {
  background-color: transparent;
}

#menu-toggle:checked + .menu-button-container .menu-button::before {
  transform: rotate(45deg);
}

#menu-toggle:checked + .menu-button-container .menu-button::after {
  transform: rotate(-45deg);
}

/* BEGIN BREADCRUMB */
.breadcrumb {
top: 33vh;
  position: absolute;
  width: 100%;
  height: 50px;
  background: transparent;
  padding:  0;
  display: inline-flex;
  float: left;
}







/* Breadcrumb style */
.breadcrumb ul {
  list-style-type: none;
  color: rgb(124, 34, 109);
  width: 100%;
  margin: 0;
  display: inline-flex;
  padding-top: -20px;
}

/* Gestaltung Links */
.breadcrumb ul li a {
  text-decoration: none;
  color: rgb(124, 34, 109);
  font-size: 20px;
  padding: 25px 10px;
}

/* Hover-Effekt */
.breadcrumb ul li a:hover {
  text-decoration: underline;
  padding-bottom: 15px;
  border-radius:15px;
}

/* Gestaltung von >> */
.breadcrumb ul li + li:before {
  margin: 0 10px;
  content: ">>";
  font-size: 20px;
  color: rgb(124, 34, 109);
}


/* Gestaltung von >>*/
.breadcrumb ul li + li:before {
  margin: 0 10px 0 5px ;
  content: ">>";
  font-size: 20px;
  font-weight: normal;
  color: rgb(124, 34, 109);
  display: inline-flex;
  flex-direction: row;
  background-color: none;
}
/* END NAVBAR */








header{
  margin-top:26vh !important;
  left: 200px;
  right: 200px;
  display: flex;
  z-index: 10;
  flex-direction: column;
  padding:20px;
  width: auto;
  height: auto;
  text-align: center;
  align-items: center;
}

header h1{
  font-size:4rem;
  color: inherit important;
  font-family: "Lumanosimo", serif;
  font-weight: bold;
  font-style: normal;
  /*padding-top: 10px;*/
}

header h2{
  font-size:1.8rem;
  text-align: center;
  color: inherit;
  font-family: "Urbanist", serif !important;
  font-optical-sizing: auto;
  font-weight: normal;
  padding: 10px 20px;
}


/*.header_main{
  width: 100%;
  height: auto;
  padding: 20px;
}*/




.scroll-indicator {
  position: absolute;
  bottom: 270px;
  left: 50%;
  font-size: 30px;
  text-decoration: none;
  color: #81a1c1;
  animation: bounce 1.5s infinite;
  display: block;
  animation: none;
  width: 50px;  /* Feste Groesse fuer den Kreis */
  height: 50px;
  text-align: center;
  line-height: 50px; /* Zentriert den Pfeil vertikal */
  border-radius: 50%;
  transition: background-color 0.3s ease, transform 0.3s ease, box-shadow 0.3s ease;
  background-color: RGB(186, 200, 255); /* Hintergrund wird sichtbar */
  transform: translateX(-50%) translateY(20px); /* Nach unten verschieben + Skalierung */
  z-index: 999;
}

.scroll-indicator:hover{
  text-decoration: none;
  background-color: RGBA(186, 200, 255, 0.67); /* Hintergrund wird sichtbar */
  color: white; /* Farbe des Pfeils aendern */
  font-weight: bold;
  transform: translateX(-50%) translateY(25x); /* Nach unten verschieben + Skalierung */
}








#content{
  scroll-margin-top: 300px; /* Passe die Hoehe der 'nav'-Leiste an */
  height: auto;
  font-family: "Urbanist", serif;
  font-optical-sizing: auto;
  font-weight: normal;
  max-width: 100%;
  align-items: center;
  justify-content: center;
}



.content{
  scroll-margin-top: 300px; /* Passe die Hoehe der 'nav'-Leiste an*/
  width:100%;
  text-align: center;
  align-items: center;
  margin-left:350px;
  padding: 0;
  display: flex;
  flex-direction: column;
  margin-bottom: 200px;

}


.content-header {
  max-width: 100%;
  height: auto;
flex-wrap: wrap;  /* Ermoeglicht das Umfliessen der Elemente */
justify-content: center;  /* Zentriert die Buttons */
gap: 30px;  /* Abstand zwischen den Buttons */
display: none;  /* Buttons anfangs unsichtbar */
position: relative;
margin-top: 80px;
align-items: center;
text-align: center;
}

/* Gestaltung der Button */
.main-button {
  border-radius: 20px;
  border: 6px inset #5e81ac;
  padding: 10px 20px;
  align-items: center;
  justify-content: center;
  text-align: center;
  display: flex; /* Wichtig fuer die Klickbarkeit */
  cursor: pointer; /* Zeigt an, dass es klickbar ist */
  position: relative;
  z-index: 1; /* Stellt sicher, dass die Buttons ueber anderen Elementen liegen */
  height: 80px;
  font-size: 1.7rem;
  font-family: "Urbanist", sans-serif;
  font-optical-sizing: auto;
  font-weight: normal;
  color: #8172a9;
  text-decoration: none;
  flex: 0 2 200px;  /* Verhindert, dass die Buttons sich zu stark ausdehnen */
  min-width: 240px;  /* Maximale Breite der Buttons */
  }

.main-button:hover{
  text-decoration: none;
  font-weight: bold;
  color: white;
  box-shadow: 8px 8px 4px 8px RGBA(94, 129, 172, 0.3);
  background-color: RGBA(94, 129, 172, 0.3);

}



/* Aktiver Button */
.main-button.active {
  color: RGB(76, 106, 146);
  font-weight: bold;
  background-color: #d8dee9;
  border-radius: 20px;
  border: 6px inset #5e81ac;
  box-shadow: 8px 8px 4px 8px RGBA(94, 129, 172, 0.3);
  font-size: 1.7rem;
  text-decoration: none;
  font-family: "Urbanist", sans-serif;
  text-align: center !important;
  align-items: center;
  cursor: pointer;
  font-optical-siziffng: auto;
}


.main-button a:hover {
  color: #f1f1f1;
  background-color:RGBA(76, 106, 146, 0.67);
}



#musik:target,
#kunst:target,
#kommunikation:target,
#steno:target,
#edv:target,
#schreiben:target{
  display: block; /* Nur der Abschnitt des aktiven Ankers wird angezeigt*/
  opacity: 0;
}


#musik, #kunst,#kommunikation, #steno, #edv, #schreiben{
  scroll-margin-top:50px; /* Anpassen je nach Header-HÃƒÂ¶he */
}

/*main{
width: 100%;
height: auto;
margin: 0;
padding: 20px;
}*/


/* BEGIN main - gesamter main-Bereich*/

.main-content{
  height: auto;
  top: 50px;
  align-items: center;
  padding: 10px;
  z-index: 99;
  position: relative;
display: none; /* StandardmÃƒÂ¤ÃƒÅ¸ig ausgeblendet */
 transition: opacity 0.5s ease-in-out;
width: 100%;

}




.main-content:target{
  display: block; /* Nur das Ziel-Element wird angezeigt */
}



/* linke Seite */
.main-content .left{
  float: left;
  width: 30%;
  padding: 10px;
  border: 10px groove #5e81ac;
  border-radius: 20px;
  height: 400px;
  justify-content: center;
  margin-right: 10px;
}



.main-content .left h2{
  font-size: 3rem;
  text-align: center;
  align-items: center;
  font-weight: bold;
  color: inherit;
  margin-top:2%;
  padding:  20px 10px;
}


/* BEGIN figure - figcaption */
figure {
  justify-content: center;
  width: 100%;
  flex-direction: column;
  float: left;
}


figure figcaption{
  text-align: right;
  font-style: italic;
  font-size: 14px;
  color: black;
  padding-top: 10px;
  margin: 0 22%;
}


figure img{
  width:300px;
  height: 200px;
  padding: 0;
  justify-content: center;
  margin-left: 22%;
}
/* END figure - figcaption */





/* rechte Seite */
.main-content .right{
  float: right !important;
  width: 65% !important;
  height:400px !important;
  margin: 0;
  border: 10px groove #5e81ac !important;
  border-radius: 20px;
  box-shadow: 4px 8px 10px 8px solid RGB(51, 56, 108);
  overflow-y: auto !important; /* Scrollbar nur auf dieser Seite */
  z-index: 20;  /* Hoehere z-index, damit der Inhalt vor dem Footer liegt */
  padding-bottom: 80px !important; /* Abstand nach unten, um Platz fÃƒÂ¼r den Footer zu schaffen */
padding-right: 20px;
padding-left: 20px;
}


.main-content .right h1{
  font-size: 2rem;
  text-align: center;
  font-weight: bold;
  color:inherit;
  align-items: center;
  padding: 20px 10px;
}


.main-content .right h2{
  font-size: 1.8rem;
  text-align: left;
  font-weight: normal;
  color: inherit;
  align-items: left;
  padding: 10px;
}

.main-content .right h3{
  font-size: 1.6rem;
  text-align: center;
  font-weight: normal;
  color: inherit;
  align-items: center;
  padding: 20px 10px;
}

.main-content .right ol{
  font-weight: bold;
  padding: 10px 20px 0 0px;
  margin-left: 57px;
}


.main-content .right ol li{
  list-style: circle;
  font-weight: normal;
  padding: 10px 20px 0 20px;
  margin-left: 57px;
  font-size: 1.8rem;
  color: inherit;
}


.main-content .right ol li::marker {
  color: inherit;
  font-weight: bold;
}




.main-content .right ul{
  font-weight: bold;
  padding: 10px 20px 0 0px;
  margin-left: 57px;
}


.main-content .right ul li{
  list-style: circle;
  font-weight: normal;
  padding: 10px 20px 0 20px;
  margin-left: 57px;
  font-size: 1.8rem;
  color: inherit;
}


.main-content .right ul li::marker {
  color: inherit;
  font-weight: bold;
}






.musik_box{
  width: 100%;
  height: 400px;
  display: flex;
  flex-direction: row; /* 2 Spalten */
  overflow: hidden !important;
}

.box_left, .box_right{
  float: left;
  width: 45%;
  height: 300px;
  padding: 20px;
  flex-direction: column;
}




.box_left .box h2, .box_right .box h2{
  padding-bottom: 13px !important;
  color: inherit !important;
  text-align: center;
  align-items: center;
}



.box_left{
  margin-right: 30px;
  margin-left: 5%;
}

.box_right{
  float: right !important;
  margin-left: 30px;
  margin-right: 5%;
}



/* Play-button Kapitel "Musik"*/
audio{
  color: inset;
  width: 300px
  height: 100px;
  margin-top: 20px;
  margin-left: 15%;
  align-items: center;
  padding: 0 10px;
}




/* BEGIN Tabelle */
table {
  width: 100%;
  text-align: left;
  border-collapse: collapse;
  border: 1px solid #ddd;
  border-spacing: 0;
  border-width: thin 0 0 thin;
}


/*Spaltenueberschriften */
th {
  background-color: rgb(208, 195, 126);
  text-align: center;
  border-right: 1px inset rgb(120, 94, 208);
  border-left: 1px inset rgb(120, 94, 208);
  border-bottom: 2px outset rgb(242, 91, 51);
  font-size: 1.8rem;
  font-weight: bold;
  padding: 10px 0;
}

td, th {
  padding: 0.33rem 0.5rem;
  border-right: 1px inset rgb(120, 94, 208);
  border-left: 1px inset rgb(120, 94, 208);
  border-bottom: 2px outset rgb(242, 91, 51);
  font-size: 1.6rem;
}

tbody  {
  background-color:#eee;
}

tr:nth-of-type(even) {
  background-color:#fff;
}

td:first-child{
  font-weight: bold;
  font-size: 1.6rem;
  background-color: rgba(163, 163, 163, 0.72);
}
/* ENDE Schule */





#hobbiesbutton{
  display: inline-block;
  padding: 5px 10px;
  border: 5px inset #81a1c1;
  color: black;
  text-decoration: none;
  border-radius: 15px;
  font-size: 1.8rem;
  cursor: pointer;
  margin: 0 5px;
  transition: transform 0.3s ease;
}


/* Stil fuer den Button beim Ueberfahren mit der Maus */
#hobbiesbutton:hover {
  /*transform: scale(1.1); /* Vergroessern um 10% */
  color:#81a1c1 !important;
  font-weight: bold;
}







/* Kategorie Kunst */
.kunst_main h2{
  font-weight: normal;
  font-size: 22px;
  text-align: left;
  color: inset;
  padding-bottom: 30px;
}



.slider {
  display: flex;
  width: 200%;
  animation: scroll 15s linear infinite;
  border: 5px solid #868e96;
  padding: 5px;
}
.slider img {
  width: 50px;
  height: 200px;
  margin: 0 10px;
  border-left: 5px solid #868e96;
  border-right: 5px solid #868e96;

}
.slider-container {
  width: 60vw;
  overflow: hidden;
  white-space: nowrap;
  position: relative;
}
@keyframes scroll {
  from {
    transform: translateX(0%);
  }
  to {
    transform: translateX(-50%);
  }
}




        /* Keyframes fÃƒÂ¼r das Schwingen der Hand */
        @keyframes swing {
            0% { transform: translateX(-50%) rotate(0deg); }
            25% { transform: translateX(-50%) rotate(10deg); }
            50% { transform: translateX(-50%) rotate(0deg); }
            75% { transform: translateX(-50%) rotate(-10deg); }
            100% { transform: translateX(-50%) rotate(0deg); }
        }

        .scroll-hand {
            position: fixed;
            right: 20px;
            bottom: 20px;
            font-size: 30px;
            color: rgba(0, 0, 0, 0.7);
            z-index: 1;
            cursor: pointer;
            transition: opacity 0.3s, transform 0.3s;
            opacity: 0;
        }

.kunst-bottom{
margin-top:5px;
  width: 60vw;
  overflow: hidden;
  white-space: nowrap;
  position: relative;
}



/* Fussbereich */
#footer {
position: fixed;
width:100%;
background-color: #eaf1f8 !important;
color: #868e96 !important;
font-size: 20px;
bottom: 0 ;
text-align: center;
height: 130px;
z-index:99;
float: left;
transition: opacity 0.3s ease;  /* Sanfte ÃƒÅ“bergangseffekte */
opacity:0;  /* Anfangs unsichtbar */
}

 /* Die Klasse, die den Footer sichtbar macht */
 #footer.show {
   opacity: 1;  /* Footer sichtbar */
 }

 #footer.hidden {
   opacity: 0;
   width: 100% !important;
   z-index: 999;
 }


    /* Button, um den Footer ein-/auszufahren */
    .toggle-button {
      position: fixed;
      bottom: 20px;
      right: 20px;
      padding: 10px 15px;
      background-color: #c5d4e4;
      color: #eceff4 !important;
      border: 3px outset #d6e0ea;
      border-radius: 8px;
      cursor: pointer;
      z-index: 9999;
      font-size: 20px;
    }

    .toggle-button:hover {
      color: #81a1c1 !important;
      font-weight: bold;
    }

        #footertoggle-button{
          display: none;
        opacity: 1;
    }


    /* Inhalt der 4 Spalten */
.footer_container{
  padding-top: 5px;
  width: 100%;
  z-index: 999;
  color: #868e96 !important;
}


/* Spalten*/
.footer_row{
  display: flex;
  flex-direction: row;
  padding: 0 5%;
  width: 100% !important;
  z-index: 999;
  color: #868e96 !important;
  }

  /* 1. Spalte */
  .col01{
    padding: 5px 4%;
    min-width: 440px;
    color: #868e96 !important;
    margin-left: 200px;
  }

  .MyFooter ul{
    list-style: none;
    display:  flex;
    flex-direction: column;
    text-align: left;
    color: #868e96 !important;
  }



.MyFooter ul li{
  list-style: none;
  padding-bottom: 10px;
  float: left;
  color: #868e96 !important;
}

.MyFooter ul li a{
  color: #868e96 !important;
  text-decoration: none;
  font-weight: normal;
  transition: all 0.5s ease;
}

.MyFooter ul li a:hover{
  color: #5e81ac !important;
  text-decoration: none;
  font-weight: bold;
}


/* 2. Spalte */
.col02{
  padding: 5px 6%;
  color: #868e96 !important;
}


.col02 h1{
  color: inherit !important;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 19px;
  font-weight: normal;
}

/*
.col02 h2{
  padding-top: 3px;
  color: inherit;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 15px;
  font-weight: normal;
}*/






/* 3. Spalte */
.col03{
  padding: 5px 6%;
  color: #868e96 !important;
}


.col03 h1{
  color: #868e96 !important;
  text-decoration: none;
  transition: all 0.5s ease;
  text-align: center;
  font-size: 19px;
  font-weight: normal;
}





.social-links a{
  display: inline-block;
  height: 40px;
  width: 40px;
  background-color: rgba(255,255,255,0.2);
  margin:0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: inherit !important;
  transition: all 0.5s ease;
}

.social-links a:hover{
  color: #5e81ac !important;
  background-color: #ffffff;
  text-decoration: none;
}





/* an den Seitenanfang springen
#top {
  display: inline-block;
  padding: 10px;
  color: white !important;
  font-size: 22px;
  font-weight: bold;
  border: 8px outset #f9d66c;
  text-decoration: none;
  border-radius: 15px;
  font-size: 22px;
  cursor: pointer;
  margin: 0 5px;
  transition: transform 0.3s ease;
}

#top:hover {
  color: rgb(210, 141, 48) !important;
  font-weight: bold;
  text-decoration: none;
}*/



.footer_bottom ul{
  width: calc(100% - 250px);
  float: left;
  list-style: none;
  text-align: center;
  display: inline;
  z-index: 100;
  margin-left:8%;
  /*padding: 1 auto;*/
  /*color: #868e96;*/
}

.footer_bottom ul li{
  margin-top: 1em;
  align-items: center;
  display: inline;
}

.footer_bottom ul li a{
  color: #868e96;
  text-decoration: none;
}

.footer_bottom ul li a:hover{
  color: #e06228;
  text-decoration: none;
  font-weight: bold;
}


.previous, .next {
  background-color: inherit;
  color: #868e96 !important;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: normal;
  z-index: 999;

}

.previous:hover, .next:hover {
  text-decoration: none;
border: 5px inset #81a1c1;
  border-radius: 15px;
  padding: 5px 18px;
  font-weight: bold;
}

/* Seite vorwaerts
.next {
  background-color: inherit;
  color: #868e96 !important;
  width: 250px;
  height: 70px;
  text-decoration: none;
  padding: 5px 18px;
  font-weight: normal;
  z-index: 999;
}


.next:hover {
  text-decoration: none;
  color: #868e96 !important;
border: 5px inset #81a1c1;
  border-radius: 15px;
  padding: 5px 18px;
  font-weight: bold;
} */


/*.next:active{
  background-color: RGBA(238, 190, 250, 0.76);
}

.previous:active{
  background-color: RGBA(255, 169, 77, 0.76);
}*/


/* Mobile Optimierung */
@media (max-width: 768px) {
  .menu {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: #333;
    text-align: center;
    position: absolute;
    top: 100px;
    left: 0;
    padding: 10px 0;
    transition: transform 0.3s ease;
    transform: translateY(-100%); /* Start auÃƒÅ¸erhalb des Sichtbereichs */
  }

  .menu a {
    padding: 15px;
    color: white;
    font-size: 1.5rem;
  }

  .menu a:hover {
    background-color: #555;
  }

  /* Wenn das MenÃƒÂ¼ aktiviert wird */
  #menu-toggle:checked + .menu-button-container + .menu {
    display: flex;
    transform: translateY(0); /* MenÃƒÂ¼ nach unten ÃƒÂ¶ffnen */
  }

  .menu-button-container {
    display: flex;
  }
}
.container {
    flex-direction: column;
    align-items: center;
  }

  .col-6 {
    width: 90%; /* Spalten nehmen 90% der Breite auf mobilen GerÃƒÂ¤ten ein */
    margin-bottom: 20px;
  }
}



/* Responsive layout - makes the three columns stack on top of each other instead of next to each other */
@media screen and (max-width: 600px) {
  .column {
    width: 100%;
  }
}


@media (max-width: 800px) {
  .menu {
    gap: 5px;
  }
  .menu a {
    padding: 5px;
    font-size: 12px;
  }
}




@media (max-width: 600px) {
  .navbar {
    flex-direction: column;
    align-items: flex-start;
  }
  .menu {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: #333;
  }
  .menu a {
    text-align: center;
    padding: 10px;
    border-top: 1px solid #444;
  }
  .menu.show {
    display: flex;
  }

  .menu-icon {
    display: block;
  }
}
